<?php

/*
Plugin Name: WindDoc
Version: 1.0
Description: Integrazione fattura con WindDoc
Author: Luca Morri
Author URI: http://www.winddoc.com
*/

global $winddoc_db_version;
$winddoc_db_version = '1.0';
function winddoc_install() {

    global $wpdb;
    global $winddoc_db_version;

    $table_name = $wpdb->prefix . 'winddoc_sinc_order';
    $charset_collate = $wpdb->get_charset_collate();
    $sql= "CREATE TABLE `".$table_name."`(

      `id` int(11) unsigned NOT NULL auto_increment,
      `data_creazione` DateTime,
      `data_modifica` DateTime,
      `sales_flat_order_id` int(11),
      `id_ordine_winddoc` CHAR(36),
      `id_invoice_winddoc` CHAR(36),
      `customer_id` CHAR(36),
      `url_invoice_winddoc` text,
      `url_ordine_winddoc` text,
      PRIMARY KEY (`id`)
    ) ".$charset_collate.";";

    require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

    dbDelta( $sql );

    add_option( 'winddoc_db_version', $winddoc_db_version );
    // continua
}
register_activation_hook( __FILE__, 'winddoc_install' );

function winddoc_update_db_check() {

    global $winddoc_db_version;

    if ( get_site_option( 'winddoc_db_version' ) != $winddoc_db_version ) {

        //winddoc_install();
        //add_option( 'winddoc_db_version', $winddoc_db_version );

    }
}
add_action( 'plugins_loaded', 'winddoc_update_db_check' );

require_once 'src/WD_Settings.php';
require_once 'src/WD_Helper.php';
require_once 'src/WD_Action.php';
$winddoc_settings = new WD_Settings();

if (is_admin()) {

}
